import { FileInfo, SupportedFiles } from './interfaces/files.interface';
import { RemoteBundle, ConnectionOptions } from './http';
import { AnalyzeFoldersOptions } from './interfaces/analysis-options.interface';
interface PrepareRemoteBundleOptions extends ConnectionOptions {
    files: FileInfo[];
    bundleHash?: string;
    removedFiles?: string[];
}
interface UpdateRemoteBundleOptions extends ConnectionOptions {
    bundleHash: string;
    files: FileInfo[];
}
/**
 * Splits files in buckets and upload in parallel
 * @param baseURL
 * @param sessionToken
 * @param remoteBundle
 */
export declare function uploadRemoteBundle(options: UpdateRemoteBundleOptions): Promise<void>;
interface RemoteBundleFactoryOptions extends PrepareRemoteBundleOptions {
    baseDir: string;
}
export declare function remoteBundleFactory(options: RemoteBundleFactoryOptions): Promise<RemoteBundle | null>;
interface CreateBundleFromFoldersOptions extends ConnectionOptions, AnalyzeFoldersOptions {
}
export interface FileBundle extends RemoteBundle {
    baseDir: string;
    supportedFiles: SupportedFiles;
    fileIgnores: string[];
}
/**
 * Creates a remote bundle and returns response from the bundle API
 *
 * @param {CreateBundleFromFoldersOptions} options
 * @returns {Promise<FileBundle | null>}
 */
export declare function createBundleFromFolders(options: CreateBundleFromFoldersOptions): Promise<FileBundle | null>;
export {};
